stages:
  - build
  - deploy

variables:
  DOCKER_HOST: tcp://docker:2375/
  DOCKER_DRIVER: overlay2

build:
  stage: build
  image: maven:3.8.4-jdk-8
  script:
    - mvn clean package
  artifacts:
    paths:
      - target/*.jar

deploy:
  stage: deploy
  image: docker:20.10
  script:
    - docker build -t mi-aplicacion-java .
    - docker run mi-aplicacion-java
  dependencies:
    - build
  only:
    - tags


